Bug 1654911

Summary: Polling USB devices makes upowerd spam syslog
Product: [Fedora] Fedora Reporter: Rick Dicaire <kritek>
Component: upowerAssignee: Richard Hughes <rhughes>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 28CC: rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 23:24:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rick Dicaire 2018-11-30 02:24:43 UTC
Description of problem:
Polling USB devices makes upowerd spam syslog with unhandled action bind/unbind event messages.

Version-Release number of selected component (if applicable):
Name         : upower
Version      : 0.99.7
Release      : 3.fc28
Arch         : x86_64

How reproducible:
Plug in USB temperature sensor:
Bus 001 Device 003: ID 0c45:7401 Microdia TEMPer Temperature Sensor

Poll it with a python script. Watch syslog during polling:

Nov 29 21:18:27 daw3 journal[19130]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:27 daw3 journal[19130]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:27 daw3 journal[19130]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:27 daw3 journal[19130]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:29 daw3 journal[19130]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:29 daw3 journal[19130]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:29 daw3 journal[19130]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:18:29 daw3 journal[19130]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:19:02 daw3 journal[19130]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:19:02 daw3 journal[19130]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:19:02 daw3 journal[19130]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1
Nov 29 21:19:02 daw3 journal[19130]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1

ps wwwl 19130
F   UID   PID  PPID PRI  NI    VSZ   RSS WCHAN  STAT TTY        TIME COMMAND
4     0 19130     1  20   0 426632  8544 x64_sy Ssl  ?          0:00 /usr/libexec/upowerd


Steps to Reproduce:
1.
2.
3.

Actual results:
upowerd spams syslog with messages.

Expected results:
No spam. Fedora 27 did not do this when running the python script to poll the USB temperature sensor device.

Additional info:

Comment 1 Rick Dicaire 2018-11-30 21:35:50 UTC
I rebuilt the rpm using 0.99.9, and since this is fixed in Fedora 29, I'm not pursuing this any further.

Comment 2 Ben Cotton 2019-05-02 20:12:06 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 23:24:00 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.